Eclipse Platform Release 3.7

## org.eclipse.equinox.http.jetty
Class JettyConfigurator

    java.lang.Object
      org.eclipse.equinox.http.jetty.JettyConfigurator

    public class JettyConfigurator

extends Object

JettyConfigurator provides API level access for creating configured instances of a Jetty-based Http Service. The created instances are not persistent across re-starts of the bundle.

See Also:
  `JettyConstants`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Constructor Summary
`JettyConfigurator()`

Method Summary
`static void` `startServer(String id, Dictionary settings)` Creates an instance of Jetty parameterized with a dictionary of settings.
`static void` `stopServer(String id)` Stops a previously started instance of Jetty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyConfigurator

    public JettyConfigurator()

Method Detail

### startServer

    public static void startServer(String id,
                                   Dictionary settings)
                            throws Exception

  Creates an instance of Jetty parameterized with a dictionary of settings. If a server with this id already exists that server is instead restarted and updated with the new settings

  Parameters:
    `id` - The identifier for the server instance
    `settings` - The dictionary of settings used to configure the server instance
  Throws:
    `Exception` - If the server failed to start for any reason

### stopServer

    public static void stopServer(String id)
                           throws Exception

  Stops a previously started instance of Jetty. If the identified instance is not started this will call will do nothing.

  Parameters:
    `id` - The identifier for the server instance
  Throws:
    `Exception` - If the server failed to stop for any reason.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.